package abstractPracticeTheory;

/** An implementation of a 'Bitstring' which allows (at least) the values
 * {0,1,-1} at each locus.
 * @author gholtz
 *
 */
public class BitString {

	private int[] bits;
	
	public BitString(int l){
		
		bits = new int[l];
	}
	
	/*Returns the 'bit' of this BitString at position pos*/
	public int get(int pos){
		return bits[pos];
	}
	
	/*Set the 'bit' of this BitString at positon pos to v*/
	public void set(int pos, int v){
		bits[pos] = v;
	}
	
	public int length(){
		return bits.length;
	}
	
	/*Returns a BitString which is a new Object containing exactly the same bits as this one.*/
	public BitString cloneThis(){
		BitString b = new BitString(length());
		for(int i=0; i<length();i++){
			b.set(i, this.get(i));
		}
		return b;
	}
	/*Returns true if the two BitStrings are equal on all bits.*/
	public boolean isEqual(BitString b){
		for(int i=0; i<length(); i++){
			if(this.get(i)!=b.get(i)) return false;
		}
		return true;
	}
}
